This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1022317 - Review Request: mingw-hidapi - Library for communicating with USB and Bluetooth HID devices
Review Request: mingw-hidapi - Library for communicating with USB and Bluetoo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: František Dvořák
Fedora Extras Quality Assurance
:
Depends On: 1008772
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 23:43 EDT by Scott Talbert
Modified: 2013-11-15 15:30 EST (History)
3 users (show)

See Also:
Fixed In Version: mingw-hidapi-0.7.0-2.a88c724.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:15:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
valtri: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Scott Talbert 2013-10-22 23:43:27 EDT
Spec URL: http://www.techie.net/~talbert/hidapi/mingw-hidapi.spec
SRPM URL: http://www.techie.net/~talbert/hidapi/mingw-hidapi-0.7.0-1.a88c724.fc19.src.rpm

Description: Description: HIDAPI is a multi-platform library which allows an application to interface with USB and Bluetooth HID-class devices on Windows, Linux, FreeBSD and Mac OS X.  On Linux, either the hidraw or the libusb back-end can be used. There are trade-offs and the functionality supported is slightly different.

Fedora Account System Username: swt2c

Koji Build Task: http://koji.fedoraproject.org/koji/taskinfo?taskID=6089044
Comment 1 František Dvořák 2013-11-04 13:35:52 EST
Found issues (although probably only the first one is an issue :-)):


- No known owner of /usr/x86_64-w64-mingw32/sys-
     root/mingw/include/hidapi, /usr/i686-w64-mingw32/sys-
     root/mingw/include/hidapi
 Native package hidapi.spec owns the whole include/hidapi directory so there it is OK.


- the command:
 find %{buildroot} -name '*.la' -exec rm -f {} ';'

  would be better written:
 find %{buildroot} -name "*.la" -delete

  as in example at https://fedoraproject.org/wiki/Packaging:MinGW?rd=Packaging/MinGW#Example_Specfile


- MinGW guidelines requires versioned dependencies of mingw32/64-filesystem:
 BuildRequires:  mingw32-filesystem >= 95
 BuildRequires:  mingw64-filesystem >= 95

  I'm not sure if there is still technical reason for it (Fedoras 18+ have proper versions already), but it is mentioned at https://fedoraproject.org/wiki/Packaging:MinGW?rd=Packaging/MinGW#Dependencies


- an unimportant detail (it is up to you if to change anything): native version hidapi.spec has "make %{?_smp_mflags} V=1" and mingw-hidapi.spec has "%mingw_make %{?_smp_mflags}", the "V=1" could be probably in both packages, or removed from the native


- just a tip: the %{summary} macro could be used in mingw32-hidapi and mingw64-hidapi subpackages
Comment 2 Scott Talbert 2013-11-04 23:39:36 EST
(In reply to František Dvořák from comment #1)
> - No known owner of /usr/x86_64-w64-mingw32/sys-
>      root/mingw/include/hidapi, /usr/i686-w64-mingw32/sys-
>      root/mingw/include/hidapi
>  Native package hidapi.spec owns the whole include/hidapi directory so there
> it is OK.

Fixed.

> - the command:
>  find %{buildroot} -name '*.la' -exec rm -f {} ';'
> 
>   would be better written:
>  find %{buildroot} -name "*.la" -delete

Fixed.

> - MinGW guidelines requires versioned dependencies of mingw32/64-filesystem:
>  BuildRequires:  mingw32-filesystem >= 95
>  BuildRequires:  mingw64-filesystem >= 95
> 
>   I'm not sure if there is still technical reason for it (Fedoras 18+ have
> proper versions already), but it is mentioned at
> https://fedoraproject.org/wiki/Packaging:MinGW?rd=Packaging/
> MinGW#Dependencies

Fixed.

> - an unimportant detail (it is up to you if to change anything): native
> version hidapi.spec has "make %{?_smp_mflags} V=1" and mingw-hidapi.spec has
> "%mingw_make %{?_smp_mflags}", the "V=1" could be probably in both packages,
> or removed from the native

I think I will probably just remove it from the native package.

> - just a tip: the %{summary} macro could be used in mingw32-hidapi and
> mingw64-hidapi subpackages

What does the summary macro do?  (I could not find any documentation on it.)  Enable you to just repeat the summary line from above to avoid having duplicate information?

Thanks for the feedback.

New SPEC: http://www.techie.net/~talbert/hidapi/mingw-hidapi.spec
NEW SRPM: http://www.techie.net/~talbert/hidapi/mingw-hidapi-0.7.0-2.a88c724.fc19.src.rpm
Comment 3 František Dvořák 2013-11-05 04:15:23 EST
(In reply to Scott Talbert from comment #2)
> > - just a tip: the %{summary} macro could be used in mingw32-hidapi and
> > mingw64-hidapi subpackages
> 
> What does the summary macro do?  (I could not find any documentation on it.)
> Enable you to just repeat the summary line from above to avoid having
> duplicate information?
> 

Yes, exactly. It contains the Summary tag content from the "main" package.

> Thanks for the feedback.
> 
> New SPEC: http://www.techie.net/~talbert/hidapi/mingw-hidapi.spec
> NEW SRPM:
> http://www.techie.net/~talbert/hidapi/mingw-hidapi-0.7.0-2.a88c724.fc19.src.
> rpm

Package APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 122880 bytes in 12 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-hidapi-0.7.0-2.a88c724.fc21.noarch.rpm
          mingw32-hidapi-static-0.7.0-2.a88c724.fc21.noarch.rpm
          mingw64-hidapi-0.7.0-2.a88c724.fc21.noarch.rpm
          mingw64-hidapi-static-0.7.0-2.a88c724.fc21.noarch.rpm
          mingw-hidapi-0.7.0-2.a88c724.fc21.src.rpm
mingw32-hidapi.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
mingw32-hidapi.noarch: W: spelling-error %description -l en_US hidraw -> hi draw, hi-draw, hid raw
mingw32-hidapi.noarch: W: spelling-error %description -l en_US libusb -> libelous
mingw32-hidapi-static.noarch: W: no-documentation
mingw64-hidapi.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
mingw64-hidapi.noarch: W: spelling-error %description -l en_US hidraw -> hi draw, hi-draw, hid raw
mingw64-hidapi.noarch: W: spelling-error %description -l en_US libusb -> libelous
mingw64-hidapi-static.noarch: W: no-documentation
mingw-hidapi.src: W: spelling-error %description -l en_US multi -> mulch, mufti
mingw-hidapi.src: W: spelling-error %description -l en_US hidraw -> hi draw, hi-draw, hid raw
mingw-hidapi.src: W: spelling-error %description -l en_US libusb -> libelous
5 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mingw64-hidapi-static mingw32-hidapi-static mingw32-hid 
api mingw64-hidapi
mingw64-hidapi-static.noarch: W: no-documentation
mingw32-hidapi-static.noarch: W: no-documentation
mingw32-hidapi.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
mingw32-hidapi.noarch: W: spelling-error %description -l en_US hidraw -> hi draw, hi-draw, hid raw
mingw32-hidapi.noarch: W: spelling-error %description -l en_US libusb -> libelous
mingw64-hidapi.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
mingw64-hidapi.noarch: W: spelling-error %description -l en_US hidraw -> hi draw, hi-draw, hid raw
mingw64-hidapi.noarch: W: spelling-error %description -l en_US libusb -> libelous
4 packages and 0 specfiles checked; 0 errors, 8 warnings.
# echo 'rpmlint-done:'



Requires
--------
mingw64-hidapi-static (rpmlib, GLIBC filtered):
    mingw64-hidapi

mingw32-hidapi-static (rpmlib, GLIBC filtered):
    mingw32-hidapi

mingw32-hidapi (rpmlib, GLIBC filtered):
    mingw32(kernel32.dll)
    mingw32(msvcrt.dll)
    mingw32(setupapi.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config

mingw64-hidapi (rpmlib, GLIBC filtered):
    mingw64(kernel32.dll)
    mingw64(msvcrt.dll)
    mingw64(setupapi.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config



Provides
--------
mingw64-hidapi-static:
    mingw64-hidapi-static

mingw32-hidapi-static:
    mingw32-hidapi-static

mingw32-hidapi:
    mingw32(libhidapi-0.dll)
    mingw32-hidapi

mingw64-hidapi:
    mingw64(libhidapi-0.dll)
    mingw64-hidapi



Source checksums
----------------
https://github.com/signal11/hidapi/archive/a88c7244d632ed238b829968be9b765605b53c34/hidapi-0.7.0-a88c724.tar.gz :
  CHECKSUM(SHA256) this package     : be735b21aa9482a8dacea1004998cdf858717a25d751bb29a7027d0798213c3e
  CHECKSUM(SHA256) upstream package : be735b21aa9482a8dacea1004998cdf858717a25d751bb29a7027d0798213c3e


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1022317 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 4 Scott Talbert 2013-11-05 08:53:32 EST
New Package SCM Request
=======================
Package Name: mingw-hidapi
Short Description: Library for communicating with USB and Bluetooth HID devices
Owners: swt2c
Branches: f19 f20
InitialCC:
Comment 5 Gwyn Ciesla 2013-11-05 08:55:48 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-11-05 20:03:56 EST
mingw-hidapi-0.7.0-2.a88c724.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-hidapi-0.7.0-2.a88c724.fc19
Comment 7 Fedora Update System 2013-11-05 20:05:44 EST
mingw-hidapi-0.7.0-2.a88c724.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-hidapi-0.7.0-2.a88c724.fc20
Comment 8 Fedora Update System 2013-11-06 13:22:48 EST
mingw-hidapi-0.7.0-2.a88c724.fc20 has been pushed to the Fedora 20 testing repository.
Comment 9 Fedora Update System 2013-11-10 02:15:47 EST
mingw-hidapi-0.7.0-2.a88c724.fc20 has been pushed to the Fedora 20 stable repository.
Comment 10 Fedora Update System 2013-11-15 15:30:07 EST
mingw-hidapi-0.7.0-2.a88c724.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.